if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi

if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
  fi
fi

if [ -e usr/share/icons/Pevzi/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache -f usr/share/icons/Pevzi >/dev/null 2>&1
  fi
fi

if [ -e usr/share/icons/oxygen/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache -f usr/share/icons/oxygen >/dev/null 2>&1
  fi
fi

( cd usr/lib64 ; rm -rf libxmlsettingsdialog.so )
( cd usr/lib64 ; ln -sf libxmlsettingsdialog.so.0.3.0 libxmlsettingsdialog.so )
( cd usr/lib64 ; rm -rf libplugininterface.so )
( cd usr/lib64 ; ln -sf libplugininterface.so.0.3.0 libplugininterface.so )
